> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark the account as primary (default) for its holder and currency

Mark the account as primary (default) for its holder and currency.
Only dedicated accounts can be set as primary, trying this operation
for a pooled account will return an error.


## OpenAPI

````yaml /openapi.json post /account-details/{account_details_id}/make-default
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /account-details/{account_details_id}/make-default:
    post:
      tags:
        - Account details
      summary: Mark the account as primary (default) for its holder and currency
      description: >
        Mark the account as primary (default) for its holder and currency.

        Only dedicated accounts can be set as primary, trying this operation for
        a pooled account will return an error.
      parameters:
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - name: account_details_id
          in: path
          description: Unique ID of account details
          required: true
          schema:
            type: string
            format: uuid
        - name: client_id
          in: query
          description: ID of the client that owns the account
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '204':
          description: Account details marked as primary
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: |
            Missing client_id
            Access token not valid for the requested client_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Account details not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '405':
          description: Cannot make default a pooled account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '409':
          description: |
            Account details not active.
            Invalid client ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '429':
          description: Too many requests
components:
  schemas:
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````